
class VEM

    def self.create (inst)
        if inst == "hitachi" then
            HITACHIControl.new()
        elsif inst == "fei" then
            FEIControl.new()
        elsif inst == "jeol" then
            JEOLControl.new()
        end
    end

    def initialize
    end

    def setStageA(params)
    end

    def setStageR(params)
    end

    def setSpotSize(params)
    end

    def setMagnification(params)
    end

    def setObj(params)
    end

    def setBeamTilt(params)
    end

    def setSpeed(params)
    end

    def getCondition
    end
end

